%global pypi_name keras-applications

Name:           python-%{pypi_name}
Version:        1.0.7
Release:        5%{?dist}
Summary:        Reference implementations of deep learning models
License:        MIT
URL:            https://github.com/keras-team/keras-applications
Source0:        https://github.com/keras-team/keras-applications/archive/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros

BuildRequires:  python3dist(numpy) >= 1.9.1
BuildRequires:  python3dist(h5py)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_enable_dependency_generator}

%description -n python3-%{pypi_name}
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more

%prep
%setup -q -n keras-applications-%{version}

%build
%py3_build

%check
%{__python3} setup.py test

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/keras_applications
%{python3_sitelib}/Keras_Applications-%{version}-py?.?.egg-info

%changelog
* Sat Mar 16 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 1.0.7-5
- Fixed noticed from bugzilla
* Fri Mar 15 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 1.0.7
- Removed Python 2 subpackage
- Updated to upstream
* Sat Mar 02 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 1.0.6
- Ported spec from OpenSuse

* Wed Nov 14 2018 Todd R <toddrme2178@gmail.com>
- Initial version
